Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class UberCompileTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.groovy.ant.UberCompileTask

    public class UberCompileTask
    extends org.apache.tools.ant.Task

Compiles Java and Groovy source files. This works by invoking the GenerateStubsTask task, then the org.apache.tools.ant.taskdefs.Javac task and then the GroovycTask. Each task can be configured by creating a nested element. Common configuration such as the source dir and classpath is picked up from this tasks configuration.

Authors:
  Jason Dillon

Version:
  \$Id\$

Method Summary
`org.apache.tools.ant.types.Path` | `createClasspath()`
`UberCompileTask.GenStubsAdapter` | `createGeneratestubs()`
`UberCompileTask.GroovycAdapter` | `createGroovyc()`
`UberCompileTask.JavacAdapter` | `createJavac()`
`org.apache.tools.ant.types.Path` | `createSrc()`
`void` | `execute()`
`org.apache.tools.ant.types.Path` | `getClasspath()`
`org.apache.tools.ant.types.Path` | `getSrcdir()`
`void` | `setClasspath(org.apache.tools.ant.types.Path path)`
`void` | `setClasspathRef(Reference r)`
`void` | `setDestdir(java.io.File dir)`
`void` | `setSrcdir(org.apache.tools.ant.types.Path dir)`
`protected void` | `validate()`

Methods inherited from class org.apache.tools.ant.Task
org.apache.tools.ant.Task#getTaskName(), org.apache.tools.ant.Task#perform(), org.apache.tools.ant.Task#bindToOwner(org.apache.tools.ant.Task), org.apache.tools.ant.Task#reconfigure(), org.apache.tools.ant.Task#setTaskName(java.lang.String), org.apache.tools.ant.Task#setOwningTarget(org.apache.tools.ant.Target), org.apache.tools.ant.Task#getRuntimeConfigurableWrapper(), org.apache.tools.ant.Task#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.apache.tools.ant.Task#maybeConfigure(), org.apache.tools.ant.Task#getOwningTarget(), org.apache.tools.ant.Task#getTaskType(), org.apache.tools.ant.Task#setTaskType(java.lang.String), org.apache.tools.ant.Task#log(java.lang.String), org.apache.tools.ant.Task#log(java.lang.String, int), org.apache.tools.ant.Task#log(java.lang.Throwable, int), org.apache.tools.ant.Task#log(java.lang.String, java.lang.Throwable, int), org.apache.tools.ant.Task#init(), org.apache.tools.ant.Task#execute(), org.apache.tools.ant.Task#setDescription(java.lang.String), org.apache.tools.ant.Task#getProject(), org.apache.tools.ant.Task#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.Task#clone(), org.apache.tools.ant.Task#getLocation(), org.apache.tools.ant.Task#getDescription(), org.apache.tools.ant.Task#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.Task#wait(long), org.apache.tools.ant.Task#wait(long, int), org.apache.tools.ant.Task#wait(), org.apache.tools.ant.Task#equals(java.lang.Object), org.apache.tools.ant.Task#toString(), org.apache.tools.ant.Task#hashCode(), org.apache.tools.ant.Task#getClass(), org.apache.tools.ant.Task#notify(), org.apache.tools.ant.Task#notifyAll()

Methods inherited from class org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.ProjectComponent#setDescription(java.lang.String), org.apache.tools.ant.ProjectComponent#getProject(), org.apache.tools.ant.ProjectComponent#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.ProjectComponent#clone(), org.apache.tools.ant.ProjectComponent#log(java.lang.String), org.apache.tools.ant.ProjectComponent#log(java.lang.String, int), org.apache.tools.ant.ProjectComponent#getLocation(), org.apache.tools.ant.ProjectComponent#getDescription(), org.apache.tools.ant.ProjectComponent#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.ProjectComponent#wait(long), org.apache.tools.ant.ProjectComponent#wait(long, int), org.apache.tools.ant.ProjectComponent#wait(), org.apache.tools.ant.ProjectComponent#equals(java.lang.Object), org.apache.tools.ant.ProjectComponent#toString(), org.apache.tools.ant.ProjectComponent#hashCode(), org.apache.tools.ant.ProjectComponent#getClass(), org.apache.tools.ant.ProjectComponent#notify(), org.apache.tools.ant.ProjectComponent#notifyAll()

Method Detail

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

### createGeneratestubs

    public UberCompileTask.GenStubsAdapter createGeneratestubs()

### createGroovyc

    public UberCompileTask.GroovycAdapter createGroovyc()

### createJavac

    public UberCompileTask.JavacAdapter createJavac()

### createSrc

    public org.apache.tools.ant.types.Path createSrc()

### execute

    public void execute()

### getClasspath

    public org.apache.tools.ant.types.Path getClasspath()

### getSrcdir

    public org.apache.tools.ant.types.Path getSrcdir()

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path path)

### setClasspathRef

    public void setClasspathRef(Reference r)

### setDestdir

    public void setDestdir(java.io.File dir)

### setSrcdir

    public void setSrcdir(org.apache.tools.ant.types.Path dir)

### validate

    protected void validate()

Groovy Documentation